<!SGML "ISO 8879:1986" 
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- TCIF SGML Declaration.
    Version: @(#) 6.0.3 95/06/21 (tcif.dcl)
    This declaration must appear first in the data stream constituting a
    conforming TCIF SGML document. The stream should also include a TCIF
    DTD. The components of the declaration are introduced by the keywords
    CHARSET (BASESET DESCSET), CAPACITY, SCOPE, SYNTAX, FEATURES, APPINFO. --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
CHARSET   BASESET "ISO 646-1983//CHARSET International Reference Version (IRV)//ESC 2/5 4/0"
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- The character set for SGML is the ISO-standard version of ASCII.       --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 95/06/05 --
DESCSET   0       9       UNUSED
          9       2       9
         11       2       UNUSED
         13       1       13
         14      18       UNUSED
         32      95       32
        127       1       UNUSED
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- Characters 0-31 and 127 are control characters, and the DESCSET 
    section specifies that only tab (9), linefeed (10), and carriage 
    return (13) are meaningful. ("0    9    UNUSED" means 9 characters 
    beginning with #0 are not used meaningfully in the data stream.)       --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
CAPACITY SGMLREF
       TOTALCAP     2000000
       ENTCAP       1000000
       ENTCHCAP     1000000
       ELEMCAP      1000000
       GRPCAP       1000000
       EXGRPCAP     1000000
       EXNMCAP      1000000
       ATTCAP       1000000
       ATTCHCAP     1000000
       AVGRPCAP     1000000
       NOTCAP       1000000
       NOTCHCAP     1000000
       IDCAP        1000000
       IDREFCAP     1000000
       MAPCAP       1000000
       LKSETCAP     1000000
       LKNMCAP      1000000
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- Capacities have been increased from the "reference capacity set", so
    that large documents will not automatically generate parsing errors.
    (In "basic SGML documents," capacities are set at 35,000.) Roughly, 
    this section means that systems used to validate TCIF SGML documents 
    must be able to store up to 2 million bytes of markup definitions, IDs 
    and IDREFs to ensure that they can accurately parse the data stream.   --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 95/06/05 --
SCOPE       DOCUMENT
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- The scope of this declaration is the entire document. Any DTD or other
    prolog you include must conform to it, as well as document content - 
    not hard, since this declaration is less restrictive than the default. --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
SYNTAX
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- This declaration does not use the "reference concrete syntax," which 
    means it won't necessarily be processable by every "conforming 
    SGML application." The differences from the reference syntax are in
    the QUANTITY subsection, where several sizes and counts are increased. --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 95/06/05 --
SHUNCHAR CONTROLS 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
                     21 22 23 24 25 26 27 28 29 30 31 127 255
BASESET   "ISO 646-1983//CHARSET International Reference Version (IRV)//ESC 2/5 4/0"
DESCSET  0  128  0
FUNCTION      RE       13
              RS       10
              SPACE    32
              TAB      SEPCHAR   9
NAMING   LCNMSTRT  ""
         UCNMSTRT  ""
         LCNMCHAR  "-."
         UCNMCHAR  "-."
         NAMECASE  GENERAL       YES
                   ENTITY        NO
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- Names are automatically converted to upper case, except for entities.  --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
DELIM       GENERAL      SGMLREF
            SHORTREF     SGMLREF
NAMES       SGMLREF
QUANTITY    SGMLREF
            NAMELEN      64
            LITLEN     8192
            ATTCNT      256
            GRPCNT      253
            GRPGTCNT    253
            TAGLVL      128
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- Names (of elements, attributes etc.) may be 64 characters, not just 8. 
    There may be 256 attributes in an ATTLIST, not just 40. There may be 
    253 (not 32) tokens in a group, and 253 (not 96) in a content model. 
    Elements may be nested to 128 levels, not 24. A literal (a parameter
    or attribute value in quotes) may be 8192 characters, not just 240.    --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 95/06/21 --
FEATURES
MINIMIZE  DATATAG  NO  OMITTAG   NO  RANK      NO    SHORTTAG  YES
LINK      SIMPLE   NO  IMPLICIT  NO  EXPLICIT  NO
OTHER     CONCUR   NO  SUBDOC    NO  FORMAL    YES
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- OMITTAG and SHORTTAG are used in "basic SGML documents."  FORMAL 
    is not.  It means public identifiers must defined in a formal way.     --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
APPINFO       NONE
 -- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ --
 -- No application-specific information is specified.                      --
 -- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 94/12/02 --
>
